export declare class Collection {
    id: string;
    title: string;
    slug: string;
    description: string;
    type: 'manual' | 'automatic';
    filter: string | null;
    featureImage: string | null;
    createdAt: Date;
    updatedAt: Date;
    deletable: boolean;
    _deleted: boolean;
    _posts: string[];
    get posts(): string[];
    get deleted(): boolean;
    set deleted(value: boolean);
    /**
     * @param post {{id: string}} - The post to add to the collection
     * @param index {number} - The index to insert the post at, use negative numbers to count from the end.
     */
    addPost(post: {
        id: string;
    }, index?: number): void;
    removePost(id: string): void;
    removeAllPosts(): void;
    private constructor();
    toJSON(): {
        id: string;
        title: string;
        slug: string;
        description: string;
        type: "manual" | "automatic";
        filter: string | null;
        featureImage: string | null;
        createdAt: Date;
        updatedAt: Date;
        posts: string[];
    };
    static validateDateField(date: any, fieldName: string): Date;
    static create(data: any): Promise<Collection>;
}
